<?php

namespace app\workerapi\controller;

use app\workerapi\logic\FeedbackLogic;
use app\workerapi\validate\FeedbackValidate;

class FeedbackController extends BaseApiController
{
    public function addFeedback()
    {
        $params =  (new FeedbackValidate())->post()->goCheck('addFeedback');
        $result = FeedbackLogic::addFeedback($params, $this->userId);
        if (true === $result) {
            return $this->success('操作成功', [], 1, 1);
        }
        return $this->fail(FeedbackLogic::getError());
    }
}